from bot import CMD_INDEX

class _BotCommands:
    def __init__(self):
        self.StartCommand = 'akses'
        self.MirrorCommand = f'unduh{CMD_INDEX}'
        self.DirectCommand = f'direct{CMD_INDEX}'
        self.ShortCommand = f'short{CMD_INDEX}'
        self.UnzipMirrorCommand = f'unzip{CMD_INDEX}'
        self.ZipMirrorCommand = f'zip{CMD_INDEX}'
        self.CancelMirror = f'cancel{CMD_INDEX}'
        self.CancelAllCommand = f'cancelall{CMD_INDEX}'
        self.ListCommand = f'cari{CMD_INDEX}'
        self.SearchCommand = f'search11{CMD_INDEX}'
        self.StatusCommand = 'status'
        self.AuthorizedUsersCommand = f'users{CMD_INDEX}'
        self.AuthorizeCommand = f'authorize{CMD_INDEX}'
        self.UnAuthorizeCommand = f'unauthorize{CMD_INDEX}'
        self.AddSudoCommand = f'addsudo{CMD_INDEX}'
        self.RmSudoCommand = f'rmsudo{CMD_INDEX}'
        self.PingCommand = 'ping'
        self.RestartCommand = f'restart{CMD_INDEX}'
        self.StatsCommand = 'stats'
        self.HelpCommand = 'bantuan'
        self.LogCommand = f'log{CMD_INDEX}'
        self.SpeedCommand = f'speedtest{CMD_INDEX}'
        self.CloneCommand = f'salin{CMD_INDEX}'
        self.CountCommand = f'hitung{CMD_INDEX}'
        self.WatchCommand = f'ytdl{CMD_INDEX}'
        self.ZipWatchCommand = f'zipwatch11{CMD_INDEX}'
        self.QbMirrorCommand = f'qbmirror11{CMD_INDEX}'
        self.QbUnzipMirrorCommand = f'qbunzipmirror11{CMD_INDEX}'
        self.QbZipMirrorCommand = f'qbzipmirror11{CMD_INDEX}'
        self.DeleteCommand = f'del{CMD_INDEX}'
        self.ShellCommand = f'shell{CMD_INDEX}'
        self.ExecHelpCommand = f'exechelp{CMD_INDEX}'
        self.LeechSetCommand = f'leechset{CMD_INDEX}'
        self.SetThumbCommand = f'setthumb{CMD_INDEX}'
        self.LeechCommand = f'unggah{CMD_INDEX}'
        self.UnzipLeechCommand = f'unggahunzip{CMD_INDEX}'
        self.ZipLeechCommand = f'unggahzip{CMD_INDEX}'
        self.QbLeechCommand = f'qbleech11{CMD_INDEX}'
        self.QbUnzipLeechCommand = f'qbunzipleech11{CMD_INDEX}'
        self.QbZipLeechCommand = f'qbzipleech11{CMD_INDEX}'
        self.LeechWatchCommand = f'unggahytdl{CMD_INDEX}'
        self.LeechZipWatchCommand = f'leechzipwatch{CMD_INDEX}'
        self.RssListCommand = f'feeds{CMD_INDEX}'
        self.RssGetCommand = f'getrss{CMD_INDEX}'
        self.RssSubCommand = f'sub{CMD_INDEX}'
        self.RssUnSubCommand = f'unsub{CMD_INDEX}'
        self.RssUnSubAllCommand = f'unsuball{CMD_INDEX}'

BotCommands = _BotCommands()
